summaryrefslogtreecommitdiff
path: root/dev-python/visitor
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/visitor
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/visitor')
-rw-r--r--dev-python/visitor/Manifest1
-rw-r--r--dev-python/visitor/metadata.xml14
-rw-r--r--dev-python/visitor/visitor-0.1.3.ebuild28
3 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/visitor/Manifest b/dev-python/visitor/Manifest
new file mode 100644
index 000000000000..703cd69cd675
--- /dev/null
+++ b/dev-python/visitor/Manifest
@@ -0,0 +1 @@
+DIST visitor-0.1.3.tar.gz 2985 BLAKE2B d645e3524ee5d072320e6feca39faef72b880ec7341053d078778765d9b279bd2ee3f892c0fcd5f21633e7851acd49ac23aef769eaf190147803ce711b717da6 SHA512 414c77df8efcc22df5ee8073e02b8c5c28563954ef9b9a869c4ea3f7f1268a97929c1fe29142ba41e3a5acafea52599f6bf073aacd654643d7d8380cd4f41fbc
diff --git a/dev-python/visitor/metadata.xml b/dev-python/visitor/metadata.xml
new file mode 100644
index 000000000000..00f9b521bace
--- /dev/null
+++ b/dev-python/visitor/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sbraz@gentoo.org</email>
+ <name>Louis Sautier</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">visitor</remote-id>
+ <remote-id type="github">mbr/visitor</remote-id>
+ <bugs-to>https://github.com/mbr/visitor/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/visitor/visitor-0.1.3.ebuild b/dev-python/visitor/visitor-0.1.3.ebuild
new file mode 100644
index 000000000000..3ece48c4d529
--- /dev/null
+++ b/dev-python/visitor/visitor-0.1.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy3 python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tiny pythonic visitor implementation"
+HOMEPAGE="https://github.com/mbr/visitor"
+# PyPI tarballs don't include tests
+# https://github.com/mbr/visitor/pull/2
+SRC_URI="https://github.com/mbr/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ py.test || die "Tests failed with ${EPYTHON}"
+}